<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('modosvacaciones', function (Blueprint $table) {
            $table->id();
            $table->timestamps();
            $table->date('inicio');
            $table->date('fin');
            $table->string('descripcion')->default('Vacaciones :)');

            $table->foreignId('agenda_id')
                  ->constrained('agendas')
                  ->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('modosvacaciones');
    }
};
